### Enumeration

# Template Error

#### Declaration

    error-domain Template.Error

#### Description

No description available.

#### Members

`TMPL_ERROR_INVALID_STATE`

  No description available.

  - Value: `1`
  - Available since: 1.0
`TMPL_ERROR_TEMPLATE_NOT_FOUND`

  No description available.

  - Value: `2`
  - Available since: 1.0
`TMPL_ERROR_CIRCULAR_INCLUDE`

  No description available.

  - Value: `3`
  - Available since: 1.0
`TMPL_ERROR_SYNTAX_ERROR`

  No description available.

  - Value: `4`
  - Available since: 1.0
`TMPL_ERROR_LEXER_FAILURE`

  No description available.

  - Value: `5`
  - Available since: 1.0
`TMPL_ERROR_TYPE_MISMATCH`

  No description available.

  - Value: `6`
  - Available since: 1.0
`TMPL_ERROR_INVALID_OP_CODE`

  No description available.

  - Value: `7`
  - Available since: 1.0
`TMPL_ERROR_DIVIDE_BY_ZERO`

  No description available.

  - Value: `8`
  - Available since: 1.0
`TMPL_ERROR_MISSING_SYMBOL`

  No description available.

  - Value: `9`
  - Available since: 1.0
`TMPL_ERROR_SYMBOL_REDEFINED`

  No description available.

  - Value: `10`
  - Available since: 1.0
`TMPL_ERROR_NOT_AN_OBJECT`

  No description available.

  - Value: `11`
  - Available since: 1.0
`TMPL_ERROR_NULL_POINTER`

  No description available.

  - Value: `12`
  - Available since: 1.0
`TMPL_ERROR_NO_SUCH_PROPERTY`

  No description available.

  - Value: `13`
  - Available since: 1.0
`TMPL_ERROR_GI_FAILURE`

  No description available.

  - Value: `14`
  - Available since: 1.0
`TMPL_ERROR_RUNTIME_ERROR`

  No description available.

  - Value: `15`
  - Available since: 1.0
`TMPL_ERROR_NOT_IMPLEMENTED`

  No description available.

  - Value: `16`
  - Available since: 1.0
`TMPL_ERROR_NOT_A_VALUE`

  No description available.

  - Value: `17`
  - Available since: 1.0
`TMPL_ERROR_NOT_A_FUNCTION`

  No description available.

  - Value: `18`
  - Available since: 1.0

#### Type functions

###### tmpl_error_quark

No description available.